# ChangeLog for media-sound/mt-daapd
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/mt-daapd/ChangeLog,v 1.50 2007/02/17 01:03:12 flameeyes Exp $

  17 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> ChangeLog:
  Don't abuse $ROOT.

  17 Feb 2007; Diego Pettenò <flameeyes@gentoo.org>
  mt-daapd-0.3.0_pre1376.ebuild:
  Don't abuse $ROOT.

  17 Jan 2007; Fabian Groffen <grobian@gentoo.org> mt-daapd-0.2.4.ebuild,
  mt-daapd-0.3.0_pre1376.ebuild:
  Dropped ppc-macos keyword, see you in prefix

  28 Oct 2006; Diego Pettenò <flameeyes@gentoo.org> mt-daapd-0.2.4.ebuild:
  Add missing automake/autoconf version dependencies. Thanks to Patrick Lauer
  in bug #153147.

*mt-daapd-0.3.0_pre1376 (04 Sep 2006)

  04 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1372.ebuild, +mt-daapd-0.3.0_pre1376.ebuild:
  New nightlie.

  04 Sep 2006; Joshua Kinard <kumba@gentoo.org> mt-daapd-0.2.4.ebuild:
  Added ~mips to KEYWORDS, per Bug #145443. Thanks to Salmon Leap Consulting
  for testing.

*mt-daapd-0.3.0_pre1372 (31 Aug 2006)

  31 Aug 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1328.ebuild, +mt-daapd-0.3.0_pre1372.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1328 (29 Jul 2006)

  29 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1315.ebuild, +mt-daapd-0.3.0_pre1328.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1315 (25 Jul 2006)

  25 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1311.ebuild, +mt-daapd-0.3.0_pre1315.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1311 (21 Jul 2006)

  21 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> mt-daapd-0.2.4.ebuild,
  -mt-daapd-0.3.0_pre1303.ebuild, +mt-daapd-0.3.0_pre1311.ebuild:
  Version bump and, while I'm here, replace einfo with elog for important
  messages.

*mt-daapd-0.3.0_pre1303 (13 Jul 2006)

  13 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.2.1.1.ebuild, -mt-daapd-0.3.0_pre1281.ebuild,
  +mt-daapd-0.3.0_pre1303.ebuild:
  New nightlie, remove old version.

  03 Jul 2006; Simon Stelling <blubb@gentoo.org> mt-daapd-0.2.4.ebuild:
  stable on amd64

*mt-daapd-0.3.0_pre1281 (30 Jun 2006)

  30 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1274.ebuild, +mt-daapd-0.3.0_pre1281.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1274 (29 Jun 2006)

  29 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1249.ebuild, +mt-daapd-0.3.0_pre1274.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1249 (20 Jun 2006)

  20 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1236.ebuild, +mt-daapd-0.3.0_pre1249.ebuild:
  New nightlie.

  16 Jun 2006; Diego Pettenò <flameeyes@gentoo.org> ChangeLog:
  Regen manifest.

*mt-daapd-0.3.0_pre1236 (16 Jun 2006)

  16 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1197.ebuild, +mt-daapd-0.3.0_pre1236.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1197 (06 Jun 2006)

  06 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1171.ebuild, +mt-daapd-0.3.0_pre1197.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1171 (01 Jun 2006)

  01 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1159.ebuild, +mt-daapd-0.3.0_pre1171.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1159 (31 May 2006)

  31 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1130.ebuild, +mt-daapd-0.3.0_pre1159.ebuild:
  New nightlie.

*mt-daapd-0.3.0_pre1130 (29 May 2006)

  29 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1082.ebuild, +mt-daapd-0.3.0_pre1130.ebuild:
  New nightlie, this time adds optional support for ffmpeg to transcode audio
  before streaming.

*mt-daapd-0.3.0_pre1082 (24 May 2006)

  24 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre1050.ebuild, +mt-daapd-0.3.0_pre1082.ebuild:
  Nightlie bump.

*mt-daapd-0.3.0_pre1050 (22 May 2006)

  22 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +mt-daapd-0.3.0_pre1050.ebuild, -mt-daapd-0.3.0_pre20060324.ebuild:
  Add new nightlie (was a while since I added one). Note: it's not a downgrade
  although it might seems one, it's just the numbering scheme changed, now it
  uses Subversion revision number rather than date.

  13 May 2006; Mark Loeser <halcy0n@gentoo.org> mt-daapd-0.2.4.ebuild:
  Stable on x86; bug #124640

  11 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org> mt-daapd-0.2.4.ebuild:
  Stable on sparc

*mt-daapd-0.3.0_pre20060324 (30 Mar 2006)

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre20060319.ebuild, +mt-daapd-0.3.0_pre20060324.ebuild:
  Nightlie bump.

*mt-daapd-0.3.0_pre20060319 (21 Mar 2006)

  21 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre20060317.ebuild, +mt-daapd-0.3.0_pre20060319.ebuild:
  Update nightlie.

*mt-daapd-0.3.0_pre20060317 (17 Mar 2006)

  17 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd.conf.example, -mt-daapd-0.3.0_pre20060313.ebuild,
  +mt-daapd-0.3.0_pre20060317.ebuild:
  Update nightlie (this time should work), and provide an already converted
  example conf file.

*mt-daapd-0.3.0_pre20060313 (17 Mar 2006)

  17 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/mt-daapd-cvs-20060307-segfault.patch,
  -mt-daapd-0.3.0_pre20060307.ebuild, +mt-daapd-0.3.0_pre20060313.ebuild:
  Update nightlie (no it doesn't work fine).

*mt-daapd-0.3.0_pre20060307 (07 Mar 2006)

  07 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/mt-daapd-cvs-20060301-doublefree.patch,
  +files/mt-daapd-cvs-20060307-segfault.patch,
  -mt-daapd-0.3.0_pre20060301.ebuild, +mt-daapd-0.3.0_pre20060307.ebuild:
  Update to new nightlie, might not work correctly with sqlite3.

  05 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-cvs-20060301-doublefree.patch, -mt-daapd-0.2.3-r2.ebuild,
  -mt-daapd-0.3.0_pre20060220.ebuild, mt-daapd-0.3.0_pre20060301.ebuild:
  Drop old versions, add a patch to fix doublefrees with sqlite3 driver.

*mt-daapd-0.3.0_pre20060301 (02 Mar 2006)

  02 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre20060227.ebuild, +mt-daapd-0.3.0_pre20060301.ebuild:
  New nightlie to fix the same issue with iTunes 6.0.4.

*mt-daapd-0.2.4 (02 Mar 2006)

  02 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> +mt-daapd-0.2.4.ebuild:
  Add new version to fix issues with iTunes 6.0.4.

*mt-daapd-0.3.0_pre20060227 (28 Feb 2006)

  28 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  +mt-daapd-0.3.0_pre20060227.ebuild:
  Add new nightlie, leave the old one there as it should be more stable.

*mt-daapd-0.3.0_pre20060220 (21 Feb 2006)

  21 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mt-daapd-0.3.0_pre20060117.ebuild, +mt-daapd-0.3.0_pre20060220.ebuild:
  Bump to latest nightlie.

*mt-daapd-0.3.0_pre20060117 (06 Feb 2006)

  06 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/mt-daapd-20060112-libs.patch, -mt-daapd-0.3.0_pre20060112.ebuild,
  +mt-daapd-0.3.0_pre20060117.ebuild:
  Bump to a newer nightlie, the patch used previously it's applied upstream.

*mt-daapd-0.3.0_pre20060112 (12 Jan 2006)

  12 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-20060112-libs.patch, +mt-daapd-0.3.0_pre20060112.ebuild:
  Add (masked) nightlie of 0.3.0 prerelease for testing.

  12 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-0.2.3-libsorder.patch, mt-daapd-0.2.3-r2.ebuild:
  Add patch to allow linking with --as-needed and removed filtering.

  12 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> -mt-daapd-0.2.3.ebuild,
  -mt-daapd-0.2.3-r1.ebuild:
  Drop old versions.

  04 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-0.2.3-sparc.patch, mt-daapd-0.2.3-r2.ebuild:
  Applied patch to fix bus error on sparc, and keyworded ~sparc as per bug
  #110663.

  04 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  mt-daapd-0.2.3-r2.ebuild:
  Filter out --as-needed flags.

*mt-daapd-0.2.3-r2 (01 Dec 2005)

  01 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-0.2.3-persist-fix.patch, mt-daapd-0.2.3-r1.ebuild,
  +mt-daapd-0.2.3-r2.ebuild:
  New revision, with optional avahi support (with howl compatibility). Moved
  ~ppc-macos keyword to this new revision that has dropped the debug useflag
  and has no more dependency on efence. Also apply patch for bug #111442.

  30 Oct 2005; Diego Pettenò <flameeyes@gentoo.org> files/mt-daapd.init.2:
  Don't provide daap to avoid warnings during start/stop of services. mt-daapd
  is going to be the only daapd server for now anyway.

*mt-daapd-0.2.3-r1 (21 Oct 2005)

  21 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/mt-daapd-0.2.3-pidfile.patch, +files/mt-daapd.init.2,
  +mt-daapd-0.2.3-r1.ebuild:
  New revision, patched to allow launching more than one instance of mt-daapd.
  Also new init.d file that allows symlinked-launches.

  04 Oct 2005; MATSUU Takuto <matsuu@gentoo.org> mt-daapd-0.2.3.ebuild:
  Added ~sh.

*mt-daapd-0.2.3 (03 Oct 2005)

  03 Oct 2005; MATSUU Takuto <matsuu@gentoo.org> +mt-daapd-0.2.3.ebuild:
  Version bumped, Bug 106032.
  Fixed howl USE flag problem, Bug 94899.
  Fixed vorbis USE flag problem, Bug 96202.

  25 Jul 2005; David Holm <dholm@gentoo.org> mt-daapd-0.2.1.1.ebuild:
  Added to ~ppc.

  28 May 2005; Jan Brinkmann <luckyduck@gentoo.org> mt-daapd-0.2.1.1.ebuild:
  cosmetic changes

  25 May 2005; Jan Brinkmann <luckyduck@gentoo.org> mt-daapd-0.2.1.1.ebuild:
  stable on amd64 and x86

*mt-daapd-0.2.1.1 (29 Apr 2005)

  29 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> +files/mt-daapd.init,
  +metadata.xml, +mt-daapd-0.2.1.1.ebuild:
  Initial import. Ebuilds based on the contribution by Frederik Kunz
  <frederik.kunz@web.de>. Fixes #78100

